Subject: bug#9181: 24.0.50; Alpha transparency no longer works

From: Luka Novsak <[email-masked]>
Date: Thu, 28 Jul 2011 20:16:25 +0200

On Thu, Jul 28, 2011 at 2:10 PM, David De La Harpe Golden
<[email-masked]> wrote:
> Note this feature depends on compositing being active: all it does is set
> the relevant x11 window property to request the compositing manager render
> the window with some alpha.  So it has no effect if you've, say, turned off
> compositing (sometimes called "desktop effects") in a window manager capable
> of it (say XFCE), or have switched to a low-requirements desktop environment
> / window-manager that doesn't do it at all.

Yes, I'm running xcompmgr; alpha transparency is working fine in other
applications.

I've noticed a peculiar detail--this problem does not occur when
running X without a window manager, say if I only run xcompmgr and
emacs in my X session. I've tried this with multiple window managers,
so it doesn't seem to be the fault of either one.

For now I'm back to running Emacs 23.3.1.